Выписки
OpenAPI 1.0.0
API для генерации и получения выписок в различных форматах.
Варианты
- Паблик
Операции API
POST /v1/reports/1c — Генерация выписки в формате 1С.
Генерация 1C отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация 1C отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "oneCRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"oneCRequestAllFields": {
"$ref": "#/components/examples/oneCRequestAllFields"
},
"oneCRequestOnlyRequired": {
"$ref": "#/components/examples/oneCRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/Create1CReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате 1С.",
"tags": [
"Report V1"
]
}POST /v1/reports/camt-052 — Генерация выписки в формате camt.052.
Генерация camt.052 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация camt.052 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "camt052Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"camt052RequestAllFields": {
"$ref": "#/components/examples/camt052RequestAllFields"
},
"camt052RequestOnlyRequired": {
"$ref": "#/components/examples/camt052RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateCamt052ReportRequest"
}
}
},
"description": "Для camt.052 валидируется условие \"from\" == \"to\" == \"текущая дата\".",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате camt.052.",
"tags": [
"Report V1"
]
}POST /v1/reports/camt-053 — Генерация выписки в формате camt.053.
Генерация camt.053 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация camt.053 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "camt053Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"camt053RequestAllFields": {
"$ref": "#/components/examples/camt053RequestAllFields"
},
"camt053RequestOnlyRequired": {
"$ref": "#/components/examples/camt053RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateCamt053ReportRequest"
}
}
},
"description": "Для camt.053 валидируется условие \"to\" != \"текущая дата\".",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате camt.053.",
"tags": [
"Report V1"
]
}POST /v1/reports/excel — Генерация выписки в формате Excel.
Генерация Excel отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация Excel отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "excelRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"excelRequestAllFields": {
"$ref": "#/components/examples/excelRequestAllFields"
},
"excelRequestOnlyRequired": {
"$ref": "#/components/examples/excelRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateExcelReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате Excel.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-940 — Генерация выписки в формате MT940.
Генерация MT940 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация MT940 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "mt940Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt940RequestAllFields": {
"$ref": "#/components/examples/mt940RequestAllFields"
},
"mt940RequestOnlyRequired": {
"$ref": "#/components/examples/mt940RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt940ReportRequest"
}
}
},
"description": "Для MT940 валидируется условие \"to\" != \"текущая дата\".",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате MT940.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-940/file — Генерация выписки в формате MT940 (синхронная).
Синхронная генерация MT940 отчета по переданным параметрам запроса. В ответе возвращается содержимое файла отчета.
{
"description": "Синхронная генерация MT940 отчета по переданным параметрам запроса. В ответе возвращается содержимое файла отчета.",
"operationId": "mt940SyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt940RequestAllFields": {
"$ref": "#/components/examples/mt940RequestAllFields"
},
"mt940RequestOnlyRequired": {
"$ref": "#/components/examples/mt940RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt940ReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате MT940 (синхронная).",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/mt-942 — Генерация выписки в формате MT942.
Генерация MT942 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация MT942 отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "mt942Request",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942RequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942ReportRequest"
}
}
},
"description": "Для MT942 валидируется условие \"from\" == \"to\" == \"текущая дата\".",
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате MT942.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-942-delta — Генерация инкрементальной внутридневной выписки в формате MT942.
Генерация инкрементального MT942 отчета за текущий день по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета. Для получения первой инкрементальной выписки за текущую дату отправьте запрос без параметра lastStatementNumber. Для получения следующих инкрементов укажите в параметре lastStatementNumber номер ранее полученной инкрементальной выписки (поле 28С). В течение календарного года номера инкрементальных выписок начинаются с 1 и последовательно увеличиваются, в начале нового календарного года нумерация снова начинается с 1.
{
"description": "Генерация инкрементального MT942 отчета за текущий день по переданным параметрам запроса. \nВ ответе возвращается идентификатор генерации отчета. \n\nДля получения первой инкрементальной выписки за текущую дату отправьте запрос \nбез параметра lastStatementNumber. \nДля получения следующих инкрементов укажите в параметре lastStatementNumber\nномер ранее полученной инкрементальной выписки (поле 28С). \n\nВ течение календарного года номера инкрементальных выписок начинаются с 1 и последовательно увеличиваются,\nв начале нового календарного года нумерация снова начинается с 1.",
"operationId": "mt942DeltaRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942DeltaRequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942DeltaRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942DeltaReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация инкрементальной внутридневной выписки в формате MT942.",
"tags": [
"Report V1"
]
}POST /v1/reports/mt-942-delta/file — Генерация инкрементальной внутридневной выписки в формате MT942.
Генерация инкрементального MT942 отчета за текущий день по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета. Для получения первой инкрементальной выписки за текущую дату отправьте запрос без параметра lastStatementNumber. Для получения следующих инкрементов укажите в параметре lastStatementNumber номер ранее полученной инкрементальной выписки (поле 28С). В течение календарного года номера инкрементальных выписок начинаются с 1 и последовательно увеличиваются, в начале нового календарного года нумерация снова начинается с 1.
{
"description": "Генерация инкрементального MT942 отчета за текущий день по переданным параметрам запроса. \nВ ответе возвращается идентификатор генерации отчета. \n\nДля получения первой инкрементальной выписки за текущую дату отправьте запрос \nбез параметра lastStatementNumber. \nДля получения следующих инкрементов укажите в параметре lastStatementNumber\nномер ранее полученной инкрементальной выписки (поле 28С). \n\nВ течение календарного года номера инкрементальных выписок начинаются с 1 и последовательно увеличиваются,\nв начале нового календарного года нумерация снова начинается с 1.",
"operationId": "mt942DeltaSyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942DeltaRequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942DeltaRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942DeltaReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация инкрементальной внутридневной выписки в формате MT942.",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/mt-942/file — Генерация выписки в формате MT942 (синхронная).
Синхронная генерация MT942 отчета по переданным параметрам запроса. В ответе возвращается содержимое файла отчета.
{
"description": "Синхронная генерация MT942 отчета по переданным параметрам запроса. В ответе возвращается содержимое файла отчета.",
"operationId": "mt942SyncRequest",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"mt942RequestAllFields": {
"$ref": "#/components/examples/mt942RequestAllFields"
},
"mt942RequestOnlyRequired": {
"$ref": "#/components/examples/mt942RequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateMt942ReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/fileContentMT"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате MT942 (синхронная).",
"tags": [
"Report V1 Sync"
]
}POST /v1/reports/pdf — Генерация выписки в формате PDF с приложениями или без приложений.
Генерация PDF отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация PDF отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "pdfRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"pdfRequestAllFields": {
"$ref": "#/components/examples/pdfRequestAllFields"
},
"pdfRequestOnlyRequired": {
"$ref": "#/components/examples/pdfRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreatePdfReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorPdfReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате PDF с приложениями или без приложений.",
"tags": [
"Report V1"
]
}POST /v1/reports/pdf/attachments — Генерация приложений к выписке в формате PDF.
Генерация приложений PDF отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация приложений PDF отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "pdfAttachmentsRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"pdfAttachmentsRequestAllFields": {
"$ref": "#/components/examples/pdfAttachmentsRequestAllFields"
},
"pdfAttachmentsRequestOnlyRequired": {
"$ref": "#/components/examples/pdfAttachmentsRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreatePdfAttachmentsReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorPdfAttachmentsReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorPdfAttachmentsReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация приложений к выписке в формате PDF.",
"tags": [
"Report V1"
]
}POST /v1/reports/xml — Генерация выписки в формате XML.
Генерация XML отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация XML отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "xmlRequest",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"xmlRequestAllFields": {
"$ref": "#/components/examples/xmlRequestAllFields"
},
"xmlRequestOnlyRequired": {
"$ref": "#/components/examples/xmlRequestOnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/CreateXmlReportRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате XML.",
"tags": [
"Report V1"
]
}GET /v1/reports/{reportId}/file — Скачивание файла отчета
Возвращает сгенерированный файл отчета.
{
"description": "Возвращает сгенерированный файл отчета.",
"operationId": "downloadReportFile",
"parameters": [
{
"$ref": "#/components/parameters/range"
},
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/fileContent"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorFileStorage"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Скачивание файла отчета",
"tags": [
"Report V1"
]
}HEAD /v1/reports/{reportId}/file — Получение метаданных файла отчета
Возвращает метаданные сгенерированного файла отчета
{
"description": "Возвращает метаданные сгенерированного файла отчета",
"operationId": "downloadReportFileHead",
"parameters": [
{
"$ref": "#/components/parameters/range"
},
{
"$ref": "#/components/parameters/ifNoneMatch"
},
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/fileMetadata"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorFileStorage"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Получение метаданных файла отчета",
"tags": [
"Report V1"
]
}GET /v1/reports/{reportId}/status — Получение статуса генерации отчета
Возвращает статус генерации отчета по переданному идентификатору.
{
"description": "Возвращает статус генерации отчета по переданному идентификатору.",
"operationId": "reportStatus",
"parameters": [
{
"$ref": "#/components/parameters/reportId"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"responses": {
"200": {
"$ref": "#/components/responses/reportStatus"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportStatus"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/reportNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Получение статуса генерации отчета",
"tags": [
"Report V1"
]
}POST /v2/reports/1c — Генерация выписки в формате 1С.
Генерация 1C отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.
{
"description": "Генерация 1C отчета по переданным параметрам запроса. В ответе возвращается идентификатор генерации отчета.",
"operationId": "oneCRequestV2",
"parameters": [
{
"$ref": "#/components/parameters/dryRun"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader"
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"oneCRequestV2AllFields": {
"$ref": "#/components/examples/oneCRequestV2AllFields"
},
"oneCRequestV2OnlyRequired": {
"$ref": "#/components/examples/oneCRequestV2OnlyRequired"
}
},
"schema": {
"$ref": "#/components/schemas/Create1CReportRequestV2"
}
}
},
"required": true
},
"responses": {
"200": {
"$ref": "#/components/responses/dryRunCheckSuccess"
},
"202": {
"$ref": "#/components/responses/reportRequestGenerationAccepted"
},
"400": {
"$ref": "#/components/responses/requestValidationErrorReportRequest"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/noStatementsErrorReportRequest"
},
"500": {
"$ref": "#/components/responses/InternalError"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/bank-statements"
}
],
"summary": "Генерация выписки в формате 1С.",
"tags": [
"Report V2"
]
}Схемы и примеры
{
"examples": {
"accountKeyValidationError": {
"summary": "Ошибка валидации AccountKey",
"value": {
"code": "account-key-parse-error",
"message": "Failed to read request JSON parse error: Wrong accountKey format [4070103610000000060867:::321312]"
}
},
"camt052RequestAllFields": {
"summary": "Запрос camt052 все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-10-06",
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"to": "2023-10-06",
"zero": true
}
},
"camt052RequestOnlyRequired": {
"summary": "Запрос camt052 только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"camt053RequestAllFields": {
"summary": "Запрос camt053 все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-09-06",
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"to": "2023-10-06",
"zero": true
}
},
"camt053RequestOnlyRequired": {
"summary": "Запрос camt053 только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-09-06",
"to": "2023-10-06"
}
},
"excelRequestAllFields": {
"summary": "Запрос Excel все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-09-06",
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"zero": true
}
},
"excelRequestOnlyRequired": {
"summary": "Запрос Excel только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-09-06",
"to": "2023-10-06"
}
},
"fileIsNotReady": {
"summary": "Файл отчета не готов",
"value": {
"code": "report-file-is-not-ready",
"message": "Requested report file is not ready yet."
}
},
"mt940RequestAllFields": {
"summary": "Запрос MT940 все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"from": "2023-10-06",
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"transliteration": true,
"zero": true
}
},
"mt940RequestOnlyRequired": {
"summary": "Запрос MT940 только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"mt942DeltaRequestAllFields": {
"summary": "Запрос инкрементальной выписки MT942 все поля",
"value": {
"accountKey": "40701978200000000001:401867",
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"lastStatementNumber": 260,
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"transliteration": true
}
},
"mt942DeltaRequestOnlyRequired": {
"summary": "Запрос инкрементальной выписки MT942 только обязательные поля",
"value": {
"accountKey": "40702810500001306832"
}
},
"mt942RequestAllFields": {
"summary": "Запрос MT942 все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"encoding": "WINDOWS",
"field25": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"field86": "SEPA",
"fileName": "file",
"from": "2023-10-06",
"replacements": "a:b;c:d;e:empty;f:space",
"showHeader": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"transliteration": true
}
},
"mt942RequestOnlyRequired": {
"summary": "Запрос MT942 только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"noStatements": {
"summary": "Выписок не найдено",
"value": {
"code": "no-statements",
"message": "No statements were found that match the request parameters"
}
},
"noTransactions": {
"summary": "Операций не найдено",
"value": {
"code": "no-transactions",
"message": "No transactions were found that match the request parameters"
}
},
"oneCRequestAllFields": {
"summary": "Запрос 1C все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"debitCreditFilter": "DEBIT",
"encoding": "WINDOWS",
"fileName": "file",
"from": "2023-10-06",
"includeHolds": true,
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"zero": true,
"zeroIfNoStatementExpected": true
}
},
"oneCRequestOnlyRequired": {
"summary": "Запрос 1C только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"oneCRequestV2AllFields": {
"summary": "Запрос 1C V2 все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"debitCreditFilter": "DEBIT",
"encoding": "WINDOWS",
"excludedOperations": "HOLDS",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT_DATE",
"to": "2023-10-06",
"zero": true,
"zeroIfNoStatementExpected": true
}
},
"oneCRequestV2OnlyRequired": {
"summary": "Запрос 1C V2 только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"pdfAttachmentsRequestAllFields": {
"summary": "Запрос PDF приложения все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sign": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "OPERATION",
"to": "2023-10-06"
}
},
"pdfAttachmentsRequestOnlyRequired": {
"summary": "Запрос PDF приложения только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
},
"pdfRequestAllFields": {
"summary": "Запрос PDF все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"counterpartyAccounts": [
"40701978200000000001",
"40701978200000000001"
],
"counterpartyInn": "7718266916",
"debitCreditFilter": "DEBIT",
"fileName": "file",
"from": "2023-10-06",
"intraday": true,
"sign": true,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"withAttachments": true,
"zero": true
}
},
"pdfRequestOnlyRequired": {
"summary": "Запрос PDF только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06",
"withAttachments": true
}
},
"reportRequestGenerationAccepted": {
"summary": "Запрос на генерацию отчета был принят",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344"
}
},
"reportStatusCompleted": {
"summary": "Генерация отчета завершена",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "COMPLETED"
}
},
"reportStatusCreated": {
"summary": "Запрос на создание отчета создан",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "CREATED"
}
},
"reportStatusFailed": {
"summary": "Генерация отчета завершилась ошибкой",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "FAILED"
}
},
"reportStatusStarted": {
"summary": "Генерация отчета начата",
"value": {
"reportId": "819e5e3c-07f8-4dda-a640-9d6d47bd9344",
"status": "STARTED"
}
},
"statementsSignNotReadyError": {
"summary": "Невозможно подписать выписки. Данные выписок не готовы.",
"value": {
"code": "statements-sign-not-ready-error",
"message": "Statements cannot be signed: statements data is not ready yet."
}
},
"statementsSignParamsError": {
"summary": "Невозможно подписать выписки. Внутридневные или разделенные на файлы выписки не могут быть подписаны.",
"value": {
"code": "statements-sign-params-error",
"message": "Statements cannot be signed: intraday or split statements cannot be signed."
}
},
"statementsSignPeriodError": {
"summary": "Невозможно подписать выписки. Параметр \"to\" должен быть меньше текущей даты.",
"value": {
"code": "statements-sign-period-error",
"message": "Statements cannot be signed: 'to' is greater than or equal to current date."
}
},
"tooManyTransactionsError": {
"summary": "Превышено допустимое количество операций для генерации",
"value": {
"code": "too-many-transactions-error",
"message": "Too many transactions for generation"
}
},
"uuidValidationError": {
"summary": "Ошибка валидации UUID",
"value": {
"code": "bad-request",
"message": "Failed to read request Invalid UUID string: 8770a120-4280-423a-be0"
}
},
"xmlRequestAllFields": {
"summary": "Запрос XML все поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40701978200000000001:401867"
],
"fileName": "file",
"from": "2023-10-06",
"intraday": false,
"sort": [
{
"orderBy": "ASC",
"sortBy": "DEBIT"
},
{
"orderBy": "ASC",
"sortBy": "CREDIT"
}
],
"splitBy": "ACCOUNT",
"to": "2023-10-06",
"zero": true
}
},
"xmlRequestOnlyRequired": {
"summary": "Запрос XML только обязательные поля",
"value": {
"accountKeys": [
"40701978200000000001:401867",
"40702810500001306832"
],
"from": "2023-10-06",
"to": "2023-10-06"
}
}
},
"parameters": {
"AuthorizationHeader": {
"description": "Токен доступа",
"in": "header",
"name": "Authorization",
"required": true,
"schema": {
"example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
"format": "byte",
"type": "string"
}
},
"IdTokenHeader": {
"description": "Идентификационный токен пользователя",
"in": "header",
"name": "Id-Token",
"required": true,
"schema": {
"example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
"format": "byte",
"type": "string"
}
},
"acceptRanges": {
"description": "Стандартное поведение заголовка Accept-Ranges.",
"example": "bytes",
"in": "header",
"name": "Accept-Ranges",
"schema": {
"type": "string"
}
},
"contentDisposition": {
"description": "Стандартное поведение заголовка Content-Disposition.",
"example": "attachment; filename=\"export_to_pdf_05-05-2025_20-38-50.zip\"",
"in": "header",
"name": "Content-Disposition",
"schema": {
"type": "string"
}
},
"contentLength": {
"description": "Стандартное поведение заголовка Content-Length.",
"example": "1809115",
"in": "header",
"name": "Content-Length",
"schema": {
"type": "string"
}
},
"dryRun": {
"description": "Параметр позволяет выполнить проверку необходимых условий для формирования отчета без запуска генерации. \ntrue - будут выполнены все необходимые проверки перед формированием отчета без запуска генерации. В случае невозможности сгенерировать отчет будет возвращаться ошибка. \nfalse - проверка необходимых условий для формирования отчета будет выполнена и затем запущена генерация.",
"example": true,
"in": "query",
"name": "dryRun",
"schema": {
"default": false,
"type": "boolean"
}
},
"eTag": {
"description": "Идентификатор версии ресурса",
"example": "b7a68b1bfd796350eebccce70ae597e4",
"in": "header",
"name": "ETag",
"schema": {
"type": "string"
}
},
"ifNoneMatch": {
"description": "Проверить был ли модифицирован файл по значению заголовка ETag",
"example": "b7a68b1bfd796350eebccce70ae597e4",
"in": "header",
"name": "If-None-Match",
"schema": {
"type": "string"
}
},
"range": {
"description": "Скачивать определенный интервал байтов файла",
"example": "bytes=500-999",
"in": "header",
"name": "Range",
"required": false,
"schema": {
"type": "string"
}
},
"reportId": {
"description": "Идентификатор отчета",
"example": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"in": "path",
"name": "reportId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
},
"responses": {
"InternalError": {
"description": "Внутренняя ошибка"
},
"Unauthorized": {
"description": "Аутентификация не пройдена"
},
"dryRunCheckSuccess": {
"description": "Проверка возможности генерации выполнена успешно"
},
"fileContent": {
"content": {
"application/pdf": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/xml": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/zip": {
"schema": {
"format": "binary",
"type": "string"
}
},
"text/plain": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "Содержимое файла.",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"fileContentMT": {
"content": {
"application/zip": {
"schema": {
"format": "binary",
"type": "string"
}
},
"text/plain": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "Содержимое файла.",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"fileMetadata": {
"description": "Метаданные файла",
"headers": {
"Accept-Ranges": {
"schema": {
"$ref": "#/components/parameters/acceptRanges"
}
},
"Content-Disposition": {
"schema": {
"$ref": "#/components/parameters/contentDisposition"
}
},
"Content-Length": {
"schema": {
"$ref": "#/components/parameters/contentLength"
}
},
"ETag": {
"schema": {
"$ref": "#/components/parameters/eTag"
}
}
}
},
"noStatementsErrorPdfAttachmentsReportRequest": {
"content": {
"application/json": {
"examples": {
"noStatements": {
"$ref": "#/components/examples/noStatements"
},
"noTransactions": {
"$ref": "#/components/examples/noTransactions"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Нет выписок или операций по указанным параметрам"
},
"noStatementsErrorReportRequest": {
"content": {
"application/json": {
"examples": {
"noStatements": {
"$ref": "#/components/examples/noStatements"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Нет выписок по указанным параметрам"
},
"reportNotFound": {
"description": "Отчета не найдено"
},
"reportRequestGenerationAccepted": {
"content": {
"application/json": {
"examples": {
"reportRequestGenerationAcceptedResponse": {
"$ref": "#/components/examples/reportRequestGenerationAccepted"
}
},
"schema": {
"$ref": "#/components/schemas/ReportGenerationRequestResponse"
}
}
},
"description": "Запрос на генерацию принят"
},
"reportStatus": {
"content": {
"application/json": {
"examples": {
"reportStatusCompleted": {
"$ref": "#/components/examples/reportStatusCompleted"
},
"reportStatusCreated": {
"$ref": "#/components/examples/reportStatusCreated"
},
"reportStatusFailed": {
"$ref": "#/components/examples/reportStatusFailed"
},
"reportStatusStarted": {
"$ref": "#/components/examples/reportStatusStarted"
}
},
"schema": {
"$ref": "#/components/schemas/ReportGenerationStatusResponse"
}
}
},
"description": "Статус задачи"
},
"requestValidationErrorFileStorage": {
"content": {
"application/json": {
"examples": {
"fileIsNotReady": {
"$ref": "#/components/examples/fileIsNotReady"
},
"uuidValidationError": {
"$ref": "#/components/examples/uuidValidationError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Ошибка валидации запроса"
},
"requestValidationErrorPdfAttachmentsReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"statementsSignNotReadyError": {
"$ref": "#/components/examples/statementsSignNotReadyError"
},
"statementsSignParamsError": {
"$ref": "#/components/examples/statementsSignParamsError"
},
"statementsSignPeriodError": {
"$ref": "#/components/examples/statementsSignPeriodError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Ошибка валидации запроса"
},
"requestValidationErrorPdfReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"statementsSignNotReadyError": {
"$ref": "#/components/examples/statementsSignNotReadyError"
},
"statementsSignParamsError": {
"$ref": "#/components/examples/statementsSignParamsError"
},
"statementsSignPeriodError": {
"$ref": "#/components/examples/statementsSignPeriodError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Ошибка валидации запроса"
},
"requestValidationErrorReportRequest": {
"content": {
"application/json": {
"examples": {
"accountKeyValidationError": {
"$ref": "#/components/examples/accountKeyValidationError"
},
"tooManyTransactionsError": {
"$ref": "#/components/examples/tooManyTransactionsError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Ошибка валидации запроса"
},
"requestValidationErrorReportStatus": {
"content": {
"application/json": {
"examples": {
"uuidValidationError": {
"$ref": "#/components/examples/uuidValidationError"
}
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Ошибка валидации запроса"
}
},
"schemas": {
"AccountKey": {
"description": "Бизнес-ключ счета. Формат: `<20-значный номер счета>` или `<20-значный номер счета>:<CNUM>`",
"example": "40702810500001306832",
"type": "string"
},
"AccountKeys": {
"description": "Бизнес-ключ счета. Формат: `<20-значный номер счета>` или `<20-значный номер счета>:<CNUM>`",
"example": [
"40701978200000000001:401867",
"40702810500001306832"
],
"items": {
"type": "string"
},
"type": "array"
},
"CounterpartyAccounts": {
"description": "Фильтр операций по счетам контрагента",
"example": [
"40701978200000000001",
"40701978200000000002"
],
"items": {
"type": "string"
},
"type": "array"
},
"CounterpartyInn": {
"description": "Фильтр операций по ИНН контрагента",
"example": "7718266916",
"type": "string"
},
"Create1CReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"encoding": {
"$ref": "#/components/schemas/Encoding1C"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"includeHolds": {
"$ref": "#/components/schemas/IncludeHolds"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDate"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
},
"zeroIfNoStatementExpected": {
"$ref": "#/components/schemas/ZeroIfNoStatementExpected"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"Create1CReportRequestV2": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"encoding": {
"$ref": "#/components/schemas/Encoding1C"
},
"excludedOperations": {
"$ref": "#/components/schemas/ExcludedOperations"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDate"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
},
"zeroIfNoStatementExpected": {
"$ref": "#/components/schemas/ZeroIfNoStatementExpected"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateCamt052ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateCamt053ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliterationAlgorithm": {
"description": "Алгоритм транслитерации CAMT.053: ORIGINAL_SWIFT — без добавления апострофов, RUR_6 — с апострофами для обратной транслитерации, NONE — не транслитерировать. Если не задан, используется прежняя логика.",
"enum": [
"ORIGINAL_SWIFT",
"RUR_6",
"NONE"
],
"example": "ORIGINAL_SWIFT",
"nullable": true,
"type": "string"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateExcelReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"showVat": {
"$ref": "#/components/schemas/ShowVat"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByExcel"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateMt940ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDateMT"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreateMt942DeltaReportRequest": {
"properties": {
"accountKey": {
"$ref": "#/components/schemas/AccountKey"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"lastStatementNumber": {
"$ref": "#/components/schemas/LastStatementNumber"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
}
},
"required": [
"accountKey"
],
"type": "object"
},
"CreateMt942ReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"encoding": {
"$ref": "#/components/schemas/EncodingMt"
},
"field25": {
"$ref": "#/components/schemas/Field25"
},
"field86": {
"$ref": "#/components/schemas/Field86"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"replacements": {
"$ref": "#/components/schemas/Replacements"
},
"showHeader": {
"$ref": "#/components/schemas/ShowHeader"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccountDateMT"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"transliteration": {
"$ref": "#/components/schemas/Transliteration"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreatePdfAttachmentsReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"mergeFinalAndIntraday": {
"$ref": "#/components/schemas/MergeFinalAndIntraday"
},
"sign": {
"$ref": "#/components/schemas/Sign"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByOperation"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"CreatePdfReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"counterpartyAccounts": {
"$ref": "#/components/schemas/CounterpartyAccounts"
},
"counterpartyInn": {
"$ref": "#/components/schemas/CounterpartyInn"
},
"debitCreditFilter": {
"$ref": "#/components/schemas/DebitCreditFilter"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"mergeFinalAndIntraday": {
"$ref": "#/components/schemas/MergeFinalAndIntraday"
},
"sign": {
"$ref": "#/components/schemas/Sign"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByPdf"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"withAttachments": {
"$ref": "#/components/schemas/WithAttachments"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to",
"withAttachments"
],
"type": "object"
},
"CreateXmlReportRequest": {
"properties": {
"accountKeys": {
"$ref": "#/components/schemas/AccountKeys"
},
"fileName": {
"$ref": "#/components/schemas/FileName"
},
"from": {
"$ref": "#/components/schemas/RequestIntervalFrom"
},
"intraday": {
"$ref": "#/components/schemas/Intraday"
},
"sort": {
"$ref": "#/components/schemas/ReportSort"
},
"splitBy": {
"$ref": "#/components/schemas/SplitByAccount"
},
"to": {
"$ref": "#/components/schemas/RequestIntervalTo"
},
"zero": {
"$ref": "#/components/schemas/Zero"
}
},
"required": [
"accountKeys",
"from",
"to"
],
"type": "object"
},
"DebitCreditFilter": {
"default": "ALL",
"description": "Фильтр дебетовых/кредитовых операций: DEBIT - только дебетовые операции, CREDIT - только кредитовые операции, ALL - все операции",
"enum": [
"DEBIT",
"CREDIT",
"ALL"
],
"example": "DEBIT",
"type": "string"
},
"Encoding1C": {
"default": "WINDOWS",
"description": "Кодировка файла: WINDOWS - cp1251, DOS - cp866",
"enum": [
"WINDOWS",
"DOS"
],
"example": "DOS",
"type": "string"
},
"EncodingMt": {
"default": "WINDOWS",
"description": "Кодировка файла: WINDOWS - cp1251, DOS - cp866, UTF8 - utf-8",
"enum": [
"WINDOWS",
"DOS",
"UTF8"
],
"example": "DOS",
"type": "string"
},
"ErrorMessage": {
"description": "Сообщение об ошибке",
"example": "Too many transactions for print",
"type": "string"
},
"ErrorResponse": {
"example": {
"code": "too-many-transactions-error",
"message": "Too many transactions for print"
},
"properties": {
"code": {
"$ref": "#/components/schemas/ErrorType"
},
"message": {
"$ref": "#/components/schemas/ErrorMessage"
}
},
"required": [
"code"
],
"type": "object"
},
"ErrorType": {
"enum": [
"BAD_REQUEST",
"STATEMENT_KEY_PARSE_ERROR",
"ACCOUNT_KEY_PARSE_ERROR",
"TRANSACTION_KEY_PARSE_ERROR",
"STMT_FILE_NAME_PARSE_ERROR",
"REPLACEMENTS_PARSE_ERROR",
"TOO_MANY_TRANSACTIONS_ERROR",
"NO_STATEMENTS",
"NO_TRANSACTIONS",
"STATEMENTS_PERIOD_BEFORE_OPEN_ERROR",
"STATEMENTS_PERIOD_NOT_READY_ERROR",
"STATEMENTS_PERIOD_NO_COB_ERROR",
"STATEMENTS_SIGN_NOT_READY_ERROR",
"STATEMENTS_SIGN_PERIOD_ERROR",
"STATEMENTS_SIGN_PARAMS_ERROR",
"REPORT_FILE_IS_NOT_READY"
],
"type": "string"
},
"ExcludedOperations": {
"default": "NONE",
"description": "Фильтр исключаемых операций: NOT_PROCESSED_AND_HOLDS - исключить необработанные операции и холды, NOT_PROCESSED - исключить необработанные операции, HOLDS - исключить холды, NONE - не исключать операции",
"enum": [
"NOT_PROCESSED_AND_HOLDS",
"NOT_PROCESSED",
"HOLDS",
"NONE"
],
"example": "NONE",
"type": "string"
},
"Field25": {
"default": {
"format": "SWIFT_ACCOUNT_CURRENCY"
},
"description": "Настройка поля 25",
"example": {
"customValue": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"format": "CUSTOM"
},
"properties": {
"customValue": {
"$ref": "#/components/schemas/Field25CustomValue"
},
"format": {
"$ref": "#/components/schemas/Field25Format"
}
},
"required": [
"format"
],
"type": "object"
},
"Field25CustomValue": {
"description": "Значение 25 поля для формата CUSTOM",
"example": "Счёт [Account Number] с БИКом [RCBIC] вставлен в отчёт",
"type": "string"
},
"Field25Format": {
"default": "SWIFT_ACCOUNT_CURRENCY",
"description": "Формат поля 25. SWIFT_ACCOUNT_CURRENCY - строка формата [SWIFT][Счет][Валюта счета], SWIFT_ACCOUNT - строка формата [SWIFT][Счет], RCBIC_ACCOUNT - строка формата [RCBIC][Счет], CUSTOM - кастомизируемый формат. \nДля формата CUSTOM доступны переменные: [Account Number] - счет, [RCBIC] - БИК Банка, [SWIFT] - SWIFT код банка, [Cur] - валюта счета.",
"enum": [
"SWIFT_ACCOUNT_CURRENCY",
"SWIFT_ACCOUNT",
"RCBIC_ACCOUNT",
"CUSTOM"
],
"example": "RCBIC_ACCOUNT",
"type": "string"
},
"Field86": {
"default": "SEPA",
"description": "Формат 86 поля. SEPA - формта SEPA, OLD - Старый формат (NZP/[Details of payment]), DISABLED - не добавлять поле 86",
"enum": [
"SEPA",
"OLD",
"DISABLED"
],
"example": "OLD",
"type": "string"
},
"FileName": {
"description": "Имя сгенерированного файла",
"example": "qwerty",
"type": "string"
},
"IncludeHolds": {
"default": true,
"description": "Включать холды: true - включать, false - не включать",
"example": false,
"type": "boolean"
},
"Intraday": {
"default": false,
"description": "Включать внутридневные выписки: true - включать, false - не включать",
"example": true,
"type": "boolean"
},
"LastStatementNumber": {
"description": "Номер последней полученной инкрементальной выписки MT942 (поле 28С).\nПараметр должен содержать корректный номер ранее полученной инкрементальной выписки за текущую дату\nлибо может быть не заполнен для получения первой выписки за текущую дату.",
"example": 260,
"type": "integer"
},
"MergeFinalAndIntraday": {
"default": false,
"description": "Объединять итоговую и внутридневную части PDF-выписки: true - объединять, false - формировать раздельно. При intraday=false объединять нечего",
"example": false,
"type": "boolean"
},
"OrderBy": {
"description": "Направление сортировки",
"enum": [
"ASC",
"DESC"
],
"example": "ASC",
"type": "string"
},
"Replacements": {
"description": "Правила корректировки символов SWIFT в поле 86 и 61. В формате \"sourceChar1:targetChar1;sourceChar2:targetChar2\". В targetChar могут быть символы пустой строки и пробела ('empty', 'space').",
"example": "a:b;c:d;e:empty;f:space",
"type": "string"
},
"ReportGenerationRequestResponse": {
"example": {
"reportId": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10"
},
"properties": {
"reportId": {
"$ref": "#/components/schemas/ReportId"
}
},
"type": "object"
},
"ReportGenerationStatusResponse": {
"example": {
"reportId": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10",
"status": "STARTED"
},
"properties": {
"reportId": {
"$ref": "#/components/schemas/ReportId"
},
"status": {
"enum": [
"CREATED",
"STARTED",
"FAILED",
"STOPPED",
"RESTARTED",
"COMPLETED",
"CANCELLED"
],
"type": "string"
}
},
"required": [
"status",
"reportId"
],
"type": "object"
},
"ReportId": {
"description": "Идентификатор отчета",
"example": "4c8d9891-4ee9-4ac8-ae2d-e41ad9f5ee10",
"format": "uuid",
"type": "string"
},
"ReportSort": {
"items": {
"$ref": "#/components/schemas/ServiceSortReportSortFields"
},
"type": "array"
},
"RequestIntervalFrom": {
"description": "Дата выписки с",
"example": "2023-10-06",
"format": "date",
"type": "string"
},
"RequestIntervalTo": {
"description": "Дата выписки по",
"example": "2023-10-06",
"format": "date",
"type": "string"
},
"ServiceSortReportSortFields": {
"example": {
"orderBy": "ASC",
"sortBy": "DEBIT"
},
"properties": {
"orderBy": {
"$ref": "#/components/schemas/OrderBy"
},
"sortBy": {
"$ref": "#/components/schemas/SortBy"
}
},
"required": [
"sortBy",
"orderBy"
],
"type": "object"
},
"ShowHeader": {
"default": false,
"description": "Отображать заголовок выписок",
"example": true,
"type": "boolean"
},
"ShowVat": {
"default": false,
"description": "Признак добавления колонки \"Сумма НДС\". Значение НДС извлекается из текста назначения платежа по шаблонам и может отсутствовать или быть определено некорректно. true - добавить колонку \"Сумма НДС\" (только для рублёвых счетов), false - не добавлять колонку",
"example": true,
"type": "boolean"
},
"Sign": {
"default": false,
"description": "Подписывать итоговые выписки: true - подписывать, false - не подписывать",
"example": true,
"type": "boolean"
},
"SortBy": {
"description": "Поле сортировки",
"enum": [
"DEBIT",
"CREDIT"
],
"example": "CREDIT",
"type": "string"
},
"SplitByAccount": {
"description": "Разделить выписки на отдельные файлы и генерировать zip архив. ACCOUNT - разделить по счетам (в архиве каждый файл будет содержать выписки за период по одному счету), null - генерируется один файл. По умолчанию генерируется один файл.",
"enum": [
"ACCOUNT"
],
"example": "ACCOUNT",
"type": "string"
},
"SplitByAccountDate": {
"description": "Разделить выписки на отдельные файлы и генерировать zip архив. ACCOUNT_DATE - разделить по счетам за день (в архиве каждый файл будет содержать выписки за один день по одному счету), null - генерируется один файл. По умолчанию генерируется один файл.",
"enum": [
"ACCOUNT_DATE"
],
"example": "ACCOUNT_DATE",
"type": "string"
},
"SplitByAccountDateMT": {
"description": "Разделить выписки на отдельные файлы и генерировать zip архив. \nACCOUNT_DATE - разделить по счетам за день (в архиве каждый файл будет содержать выписки за один день по одному счету), \nACCOUNT_DATE_CHUNKS - разделить по счетам за день, разбивая файл на части по 1000 символов (в архиве каждый файл будет содержать часть выписки за один день по одному счету),\nnull - генерируется один файл. По умолчанию генерируется один файл.",
"enum": [
"ACCOUNT_DATE",
"ACCOUNT_DATE_CHUNKS"
],
"example": "ACCOUNT_DATE",
"type": "string"
},
"SplitByExcel": {
"description": "Разделить выписки на отдельные файлы и генерировать zip архив. \nACCOUNT - разделить по счетам (в архиве каждый файл будет содержать выписки за период по одному счету), \nACCOUNT_DATE - разделить по счетам и дням (в архиве каждый файл будет содержать выписки по счету за один день),\nMULTIPLE_ACCOUNT_DATE - разделить по дням (в архиве каждый файл будет содержать выписки по нескольким счетам за один день),\nnull - генерируется один файл. \nПо умолчанию генерируется один файл.",
"enum": [
"ACCOUNT",
"ACCOUNT_DATE",
"MULTIPLE_ACCOUNT_DATE"
],
"example": "ACCOUNT",
"type": "string"
},
"SplitByOperation": {
"description": "Разделить приложения к выписке на отдельные файлы и генерировать zip архив. OPERATION - разделить по операциям (в архиве каждый файл будет содержать отдельную операцию), null - генерируется один файл. По умолчанию генерируется один файл.",
"enum": [
"OPERATION"
],
"example": "OPERATION",
"type": "string"
},
"SplitByPdf": {
"description": "Разделить выписки на отдельные файлы и генерировать zip архив.\nACCOUNT - разделить по счетам (в архиве каждый файл будет содержать выписки за период по одному счету),\nACCOUNT_DATE - разделить по счетам и дням (в архиве каждый файл будет содержать выписки по счету за один день),\nMULTIPLE_ACCOUNT_DATE - разделить по дням (в архиве каждый файл будет содержать выписки по нескольким счетам за один день),\nnull - генерируется один файл.\nПо умолчанию генерируется один файл.",
"enum": [
"ACCOUNT",
"ACCOUNT_DATE",
"MULTIPLE_ACCOUNT_DATE"
],
"example": "ACCOUNT",
"type": "string"
},
"Transliteration": {
"default": false,
"description": "Транслитерация в поле 86",
"example": true,
"type": "boolean"
},
"WithAttachments": {
"description": "Генерировать выписку с приложениями или без приложений: true - with, false - without",
"example": true,
"type": "boolean"
},
"Zero": {
"default": false,
"description": "Включать нулевые выписки, true - все выписки (с движениями по счету и без), false - только выписки с движениями по счету (ненулевые)",
"example": true,
"type": "boolean"
},
"ZeroIfNoStatementExpected": {
"default": false,
"description": "Генерировать синтетическую нулевую итоговую выписку, когда обычная выписка не будет генерироваться.",
"example": true,
"type": "boolean"
}
},
"securitySchemes": {
"RaifApiAuthorization": {
"scheme": "bearer",
"type": "http"
},
"RaifApiIdToken": {
"in": "header",
"name": "Id-Token",
"type": "apiKey"
}
}
}